from django.contrib import admin

from core import models
from core.mixins import JsonWidgetMixin


class UsernameLoginAuthCheckAdmin(JsonWidgetMixin, admin.ModelAdmin):
    list_display = ('user', 'is_username_auth_blocked', 'username_unlock_time')


admin.site.register(models.UsernameLoginAuthCheck, UsernameLoginAuthCheckAdmin)
admin.site.register(models.ConsoleAuthSettings)
admin.site.register(models.TLSSettings)
